<?php
/**
 * @file
 * Hide the Anonymous comment - name field.
 */

function _option_cfs_anonymousname(&$form, &$form_state, $settings, $node) {
  if ($settings['cfs_anonymousname'] == 1 && isset($form['author']) && isset($form['author']['name'])) {
    $form['author']['name']['#access'] = FALSE;
  }

  return $form;
}
